## ztex-ezusb 20110912

=== Makefile ===
DIRS=bmp examples java libusbJava-src

.PHONY: default all docs clean distclean

default: 
	@echo "This makefile is intended to clean up the project or to build the utilties and examples"
	@echo "Usage: make all | docs | clean | distclean"

all:
	make -C java all
	make -C examples all

docs:
	make -C docs all

clean: 
	for i in $(DIRS); do make -C $$i clean; done

distclean: clean
	for i in $(DIRS); do make -C $$i distclean; done

=== java/Makefile ===
#########################
# configuration section #
#########################

ZTEXPREFIX=..

#PREFIX  base directory for installing 
#default: /usr/local for OS=UNIX and c:\usr else
#e.g. PREFIX=/usr

#JAVADIR  where to install jar's
#default: $(PREFIX)/share/java

#BINDIR  where to install bin's
#default: $(PREFIX)/bin

#MANDIR  where to install mans's
#default: $(PREFIX)/share/man/man1

################################
# DO NOT CHANAGE THE FOLLOWING #
################################

.PHONY: all jar clean distclean install

JARTARGET=FWLoader.jar
CLASSTARGETS=FWLoader.class

JAVAC=javac
INSTALL=install
INSTALLDIR=$(INSTALL) -d 
INSTALLEXE=$(INSTALL) -m 0755
INSTALLFILE=$(INSTALL) -m 0644

CLASSPATH:=.:$(ZTEXPREFIX)/libusbJava:$(ZTEXPREFIX)/java:/usr/local/share/java:/usr/share/java:$(CLASSPATH)
CLASSEXTRADEPS:=$(shell echo ztex/*.java)

ifndef PREFIX
  PREFIX=/usr/local
endif

ifndef JAVADIR
  JAVADIR=$(PREFIX)/share/java
endif

ifndef BINDIR
  BINDIR=$(DESTDIR)/$(PREFIX)/bin
endif

ifndef MANDIR
  MANDIR=$(PREFIX)/share/man/man1
endif

all : jar

jar : $(JARTARGET)

%.class: %.java $(CLASSEXTRADEPS)
	$(JAVAC) -cp "$(CLASSPATH)" $< $(CLASSEXTRADEPS)

$(JARTARGET) : $(CLASSTARGETS) $(EXTRAJARFILES)
	jar cf $(JARTARGET) *.class $(EXTRAJARFILES) -C $(ZTEXPREFIX)/libusbJava . $(shell cd $(ZTEXPREFIX)/java; ls ztex/*.class | while read a; do echo "-C $(ZTEXPREFIX)/java $$a"; done)

install: $(CLASSTARGETS)
#	$(INSTALLDIR) $(JAVADIR)
#	jar cf $(JAVADIR)/ztex.jar *.class ztex/*.class
	$(INSTALLDIR) $(JAVADIR)/ztex
	$(INSTALLFILE) *.class $(JAVADIR)
	$(INSTALLFILE) ztex/*.class $(JAVADIR)/ztex
	$(INSTALLDIR) $(BINDIR)
	$(INSTALLEXE) FWLoader $(BINDIR)
	$(INSTALLDIR) $(MANDIR)
	$(INSTALLFILE) FWLoader.1 $(MANDIR)

clean: 
	rm -f *~ *.bak *.old
	rm -f ztex/*~ ztex/*.bak ztex/*.old
	rm -f *.class 
	rm -f *.rel *.rst *.lnk *.lst *.map *.asm *.sym *.mem *.tmp.c 

distclean: clean
	rm -f $(JARTARGET)
	rm -f ztex/*.class
	rm -f *.ihx

=== debian/changelog ===
ztex-ezusb (20110912-2) unstable; urgency=low

  * Added Makefile.mk to /usr/share/ztex

 -- Steffen Moeller <moeller@debian.org>  Sun, 09 Oct 2011 14:27:23 +0200

ztex-ezusb (20110912-1) experimental; urgency=low

  * Initial release (Closes: #641938).

 -- Steffen Moeller <moeller@debian.org>  Thu, 28 Jul 2011 00:55:59 +0200

=== debian/control ===
Source: ztex-ezusb
Section: science
Priority: extra
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: libusb-java
Standards-Version: 3.9.2
Homepage: http://www.ztex.de
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-escience/ztex-ezusb/trunk/
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-escience/ztex-ezusb/trunk

Package: ztex-ezusb
Architecture: all
Depends: ${misc:Depends},
 ztex-ezusb-fwloader (= ${binary:Version}), ztex-ezusb-fx2-firmware-kit (= ${binary:Version})
Recommends: getdata
Description: meta package for the programming of ZTEX EZ-USB boards
 The ZTEX environment facilitates the programming and control of Cypres
 EZ-USB FX2 microcontrollers with and without FPGA.  The package serves
 as a meta package to install all subpackages and provides instructions
 to Debian's getData tool for the download of examples.

Package: ztex-ezusb-fx2-firmware-kit
Architecture: all
Depends: ${misc:Depends}, ztex-bmp, sdcc
Suggests: ztex-java
Description: EZ-USB FX2 firmware development kit.
 This package provides a firmware development kit for Cypress EZ-USB FX2
 microcontrollers. It was developed for ZTEX FPGA boards but can be
 used with all EZ-USB FX2 based devices.
 .
 With this kit, all required settings, e.g. endpoint configuration,
 may be specified by just a few macro commands. USB descriptors and the
 descriptor handling are generated automatically. This was facilitated
 by the bmp macro processor.
 .
 Please see http://www.ztex.de/firmware-kit for more information.
 
Package: ztex-ezusb-fwloader
Architecture: all
Depends: ${misc:Depends}, libusb-java
Description: firmware and bitsream upload for EZ-USB microcontroller
 This package contains FWLoader, a firmware and bitstream upload
 utility for the Cypress EZ-USB FX2 microcontroller, and the Java API
 that implemented it.
 .
 The API is designed for devices running the ZTEX EZ-USB FX2 Firmware
 Kit Core features of the combination of the Firmware Kit and the Java
 API of this package are:
  * Bitstream upload directly to FPGA and to Flash memory 
    (firmware supports bitstream loading from Flash)
  * Access to NVM's, namely EEPROM and microSD/*SD/MMC Flash cards
  * MAC-EEPROM support

Package: ztex-ezusb-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Suggests: ztex-ezusb, libusb-java-doc
Description: documentation for ztex and ztex-java
 A general introduction and javadoc documentation for ZTEX.

## ztex-ezusb 20111017

=== Makefile ===
DIRS=bmp examples java libusbJava-src

.PHONY: default all clean distclean avr avrclean avrdistclean

default: 
	@echo "This makefile is intended to clean up the project or to build the utilties and examples"
	@echo "Usage: make all | docs | clean | distclean"

all:
	make -C java all
	make -C examples all

docs:
	make -C docs all

clean: 
	set -e; for i in $(DIRS); do make -C $$i clean; done

distclean:
	set -e; for i in $(DIRS); do make -C $$i distclean; done

avr: 
	make -C examples avr

avrclean: 
	make -C examples avrclean

avrdistclean: 
	make -C examples avrdistclean

=== docs/Makefile ===
.PHONY: docs java

all: java

java:
	javadoc ztex ch.ntb.usb -classpath ../libusbJava-src:../java -d java

distclean: 
	rm -fr java

=== java/Makefile ===
--- 
+++ 
@@ -33,7 +33,7 @@
 INSTALLFILE=$(INSTALL) -m 0644
 
 CLASSPATH:=.:$(ZTEXPREFIX)/libusbJava:$(ZTEXPREFIX)/java:/usr/local/share/java:/usr/share/java:$(CLASSPATH)
-CLASSEXTRADEPS:=$(shell echo ztex/*.java)
+CLASSEXTRADEPS:=$(wildcard ztex/*.java)
 
 ifndef PREFIX
   PREFIX=/usr/local
@@ -44,11 +44,11 @@
 endif
 
 ifndef BINDIR
-  BINDIR=$(DESTDIR)/$(PREFIX)/bin
+  BINDIR=$(DESTDIR)$(PREFIX)/bin
 endif
 
 ifndef MANDIR
-  MANDIR=$(PREFIX)/share/man/man1
+  MANDIR=$(DESTDIR)$(PREFIX)/share/man/man1
 endif
 
 all : jar

=== debian/changelog ===
ztex-ezusb (20111017-2) unstable; urgency=low

  * Added default-jdk to build-depends (Closes: #646667)

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Jan 2012 15:53:58 +0100

ztex-ezusb (20111017-1) unstable; urgency=low

  * New upstream release.

 -- Steffen Moeller <moeller@debian.org>  Thu, 05 Jan 2012 11:12:03 +0100

ztex-ezusb (20110912-2) experimental; urgency=low

  * Move from experimental to unstable.

 -- Steffen Moeller <moeller@debian.org>  Thu, 29 Jul 2011 00:55:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper (>= 8.0.0)
-Build-Depends-Indep: libusb-java
+Build-Depends-Indep: libusb-java, default-jdk|java6-sdk
 Standards-Version: 3.9.2
 Homepage: http://www.ztex.de
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-escience/ztex-ezusb/trunk/
@@ -23,7 +23,6 @@
 Package: ztex-ezusb-fx2-firmware-kit
 Architecture: all
 Depends: ${misc:Depends}, ztex-bmp, sdcc
-Suggests: ztex-java
 Description: EZ-USB FX2 firmware development kit.
  This package provides a firmware development kit for Cypress EZ-USB FX2
  microcontrollers. It was developed for ZTEX FPGA boards but can be

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	$(MAKE) -C java all
	[ -d docs/java ] || cd java && javadoc -classpath /usr/share/java/libusb.jar:. -d ../docs/java ztex

override_dh_clean:
	dh_clean
	rm -rf docs/java

=== debian/watch ===
version=3
http://www.ztex.de/downloads/ztex-([0-9]+).tar.bz2
